﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample118577;
using System.Collections;
using Syncfusion.JavaScript.DataSources;
using MVCSampleBrowser.Models;
using Syncfusion.JavaScript;
namespace Sample118577.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            var DataSource = new NorthwindDataContext().OrdersViews.ToList();
            ViewBag.datasource = DataSource;
            return View();
        }
        public ActionResult DataSource(DataManager dm)
        {
            IEnumerable data = OrderRepository.GetAllRecords().ToList();
            DataOperations operation = new DataOperations();
           
            
            int count = data.Cast<EditableOrder>().Count();
            if (dm.Skip != 0)
            {
                data = operation.PerformSkip(data, dm.Skip);
            }
            if (dm.Take != 0)
            {
                data = operation.PerformTake(data, dm.Take);
            }
            return Json(new { result = data, count = count });
        }
    }
}
